Subject: bug#50950: [External] : bug#50950: "(emacs) Mark" should contrast to "selecting" text in other editors

From: Drew Adams <[email-masked]>
Date: Sat, 16 Oct 2021 19:26:07 +0000

> > > > Point is just the current cursor position.
> > > > You move the cursor, not point.
> > >
> > > Not in Emacs.  In Emacs, commands move point,
> > > and the cursor is then drawn to show where point is.
> >
> > Yes, in Emacs.  In Emacs, users move the cursor,
> > which means that point changes.  You don't see
> > point; you see the cursor.  Point is a position:
> > the position of the cursor.
> >
> > We're talking to users, and we should use a user
> > point of view.
> 
> User's point of view will not be served if we 
> distort the reality while presenting it to the user.

Agreed 100%.  I haven't distorted it.

A position doesn't "move".  Something changes
its position by moving.  If _you move_ then
_your_ position changes.

The X-coordinate 1.3 (a position) does not move.
A point whose X-coordinate is 1.3 can move to
a different position, with an X-coordinate of,
say, 2.9.

Understanding is not served by distorting
things to ignore this distinction.

> The notion of point and its movement
> is central to understanding Emacs,

The notion of _point_ is central.  That's clear
in all that I wrote.

Try reading again this part of what I wrote (and
the rest):

  a user point of view ... starts with the things
                           ^^^^^^
  you see and act on.

  Yes, users need to know about some of those
  things too [such as what you mention: display
  reflects changed point value].  But start
                                      ^^^^^
  with what's user-visible.

The _presentation_, to users, of concepts about a
software product does not necessarily follow the
order/mechanics of its underlying implementation.

But yes, of course, fuller understanding of Emacs
requires understanding of what happens under the
covers - how Emacs does what it does.  And that's
precisely because Emacs users/takers are, at the
end of the day, also Emacs implementers/makers.
___

Usefully related to presentation not necessarily
following implementation directly (but not the
_same_ distinction):

 "Of course the method of presentation must
  differ in form from that of inquiry.

  The latter has to appropriate the material
  in detail, to analyse its different forms of
  development, to trace out their inner connexion.
  Only after this work is done, can the actual
  movement be adequately described.

  If this is done successfully, if the life of
  the subject-matter is ideally reflected as in
  a mirror, then it may appear as if we had
  before us a mere a priori construction."